Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class CMCEParameters

    java.lang.Object
      org.bouncycastle.crypto.params.CMCEParameters

All Implemented Interfaces:
  CipherParameters, KEMParameters

public class CMCEParameters
extends java.lang.Object
implements KEMParameters

Parameter sets for the Classic McEliece KEM as standardised in ISO/IEC 18033-2:2006/Amd 2:2026, Clause 13.

Four parameter sets are provided for each of the four standardised code sizes (460896, 6688128, 6960119 and 8192128): a base set, a semi-systematic key-generation variant ("f"), a plaintext-confirmation variant ("pc"), and a combined variant ("pcf"). All sixteen sets use GF(2^13) and produce a 256-bit (32-byte) session key. The non-standardised mceliece348864 size is not provided here; it remains available (deprecated) under .

Field Summary
`static CMCEParameters` | `mceliece460896`
`static CMCEParameters` | `mceliece460896f`
`static CMCEParameters` | `mceliece460896pc`
`static CMCEParameters` | `mceliece460896pcf`
`static CMCEParameters` | `mceliece6688128`
`static CMCEParameters` | `mceliece6688128f`
`static CMCEParameters` | `mceliece6688128pc`
`static CMCEParameters` | `mceliece6688128pcf`
`static CMCEParameters` | `mceliece6960119`
`static CMCEParameters` | `mceliece6960119f`
`static CMCEParameters` | `mceliece6960119pc`
`static CMCEParameters` | `mceliece6960119pcf`
`static CMCEParameters` | `mceliece8192128`
`static CMCEParameters` | `mceliece8192128f`
`static CMCEParameters` | `mceliece8192128pc`
`static CMCEParameters` | `mceliece8192128pcf`

Method Summary
`int` | `getEncapsulationLength()`
`int` | `getM()`
`int` | `getN()`
`java.lang.String` | `getName()`
`int[]` | `getPoly()`
`int` | `getSessionKeySize()`
`int` | `getT()`
`boolean` | `isPc()`
`boolean` | `isUsePivots()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mceliece460896

    public static final CMCEParameters mceliece460896

### mceliece460896f

    public static final CMCEParameters mceliece460896f

### mceliece460896pc

    public static final CMCEParameters mceliece460896pc

### mceliece460896pcf

    public static final CMCEParameters mceliece460896pcf

### mceliece6688128

    public static final CMCEParameters mceliece6688128

### mceliece6688128f

    public static final CMCEParameters mceliece6688128f

### mceliece6688128pc

    public static final CMCEParameters mceliece6688128pc

### mceliece6688128pcf

    public static final CMCEParameters mceliece6688128pcf

### mceliece6960119

    public static final CMCEParameters mceliece6960119

### mceliece6960119f

    public static final CMCEParameters mceliece6960119f

### mceliece6960119pc

    public static final CMCEParameters mceliece6960119pc

### mceliece6960119pcf

    public static final CMCEParameters mceliece6960119pcf

### mceliece8192128

    public static final CMCEParameters mceliece8192128

### mceliece8192128f

    public static final CMCEParameters mceliece8192128f

### mceliece8192128pc

    public static final CMCEParameters mceliece8192128pc

### mceliece8192128pcf

    public static final CMCEParameters mceliece8192128pcf

Method Detail

### getName

    public java.lang.String getName()

### getM

    public int getM()

### getN

    public int getN()

### getT

    public int getT()

### getPoly

    public int[] getPoly()

### isUsePivots

    public boolean isUsePivots()

### isPc

    public boolean isPc()

### getSessionKeySize

    public int getSessionKeySize()

### getEncapsulationLength

    public int getEncapsulationLength()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD